import { Button, Result } from "antd";
import React from "react";
import { useTranslation } from "react-i18next";
import { connect } from "react-redux";
import { createStructuredSelector } from "reselect";
import { selectBodyshop } from "../../redux/user/user.selectors";
const mapStateToProps = createStructuredSelector({
  bodyshop: selectBodyshop,
});
const mapDispatchToProps = (dispatch) => ({
  //setUserLanguage: language => dispatch(setUserLanguage(language))
});
export default connect(mapStateToProps, mapDispatchToProps)(ShopSubStatus);

export function ShopSubStatus({ bodyshop }) {
  const { t } = useTranslation();
  const { sub_status } = bodyshop;
  return (
    <Result
      status="403"
      title={t(`general.labels.sub_status.${sub_status}`)}
      extra={
        <Button
          onClick={() => {
            alert("Not implemented yet.");
          }}
        >
          {t("general.actions.submitticket")}
        </Button>
      }
    />
  );
}
